API SERVICE
Jobs
Run and track bulk operations across edge nodes and applications that match your selection criteria.
START EXPLORING
Query jobs
GET/v1/jobsExplore the parameters and response schema. Sign in from your console to try a request.
Open endpoint17 operations 1 group
EXPLORE THE SERVICE
Endpoint groups
Expand a group to find an endpoint.
Bulk jobs
Bulk jobs
/v1/jobsGETGet job/v1/jobs/id/{id}GETGet job by ID and object type/v1/jobs/id/{id}/objectType/{objectType}GETGet job by name and object type/v1/jobs/name/{name}/objectType/{objectType}POSTCreate job/v1/jobsPUTUpdate job/v1/jobs/id/{id}DELETEDelete job/v1/jobs/id/{id}/objectType/{objectType}/v1/jobs/devices/baseos/upgradePUTRetry update EVE image on nodes/v1/jobs/devices/baseos/upgrade/retryPUTUpdate Deployment tag on nodes in bulk/v1/jobs/devices/deployment/tagsPUTUpdate EVE image project and target on nodes/v1/jobs/devices/project/targetPUTUpdate EVE image tag on nodes/v1/jobs/devices/tagsJob management · Application jobs · Node jobs · Model imports
About this service
About this service
The ZEDEDA Job Service is helper service to ZEDEDA Edge Application Service and ZEDEDA Edge Node Service. This service allows device administrators and operators to update Edge nodes and manage Edge Applications in bulk. Jobs execute edge node management and edge application management against a set of edge nodes or edge applications matching a selection criteria. For example, an operator would use a job to initiate and track installation of a lightning detection edge application on all edge nodes inistalled in all windmills in a particular Texas ZIP code (defined as a project).
API guides